import { createApp } from 'vue';
import App from './App';
import router from './router';
import store from './store';
import '@/style/index.scss';
import Vant from "vant";
import "vant/lib/index.css";
import "babel-polyfill"
import components from "./components";
let app = createApp(App)
app.use(Vant)
app.use(components);
app.directive('opacity', {
    mounted(el, binding) {
        console.log(binding.value)
        // binding.value 是我们传递给指令的值——在这里是 200 //透明度
        el.style.opacity = binding.value?1:0
    },
    updated(el,binding){
        el.style.opacity = binding.value?1:0

    }
})

app.use(router).use(store)
app.mount('#app')
